Docs
Web

Find a website's competitor domains

GET/web/competitors
AuthorizationBearer <token>

Enter your API key with the bc_ prefix

In: header

Query Parameters

domain*string

Domain or URL to inspect

directUrl?string

Inspect this exact public URL instead of deriving a homepage from domain.

cacheMaxAgeMs?number

Maximum cache age in milliseconds.

Range0 <= value <= 604800000
timeoutMS?number

Request timeout hint in milliseconds.

Range1000 <= value <= 120000
maxSpeed?boolean

Prefer the fastest existing fetch path when possible.

Defaultfalse
limit?number

Maximum number of competitor domains to return

Range1 <= value <= 25
Default10
numCompetitors?number

Alternate parameter name for limit.

Range1 <= value <= 25
Default10

Response Body

application/json

curl -X GET "https://example.com/web/competitors?domain=example.com"
{  "success": true,  "data": {    "status": "ok",    "code": 200,    "domain": "example.com",    "competitors": [      {        "domain": "competitor.com",        "url": "https://competitor.com/",        "title": "Competitor"      }    ],    "key_metadata": {      "credits_consumed": 10,      "credits_remaining": 4990    }  }}
Empty
Empty
Empty